﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace EVCB_OCPP.WEBAPI.Models.WebAPI.Dto
{
    public class EVSE
    {
        [MaxLength(25)]
        public string ChargeBoxId { set; get; }

        public int StationId { set; get; }

        public int RatedPower { set; get; }

        public List<Connector> Connectors { set; get; }

        public Status Status { set; get; }

        public GeoLocation Coordinates { set; get; }

        public DateTime LastUpdated { set; get; }

        [JsonIgnore]
        public int NumberofConnectors { set; get; }
    }
}