﻿using EVCB_OCPP.Packet.Messages.SubTypes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EVCB_OCPP.WEBAPI.Models
{
    public class SessionDetail
    {
        
        /// <summary>
        /// 槍號 
        /// </summary>       
        public int ConnectorId { get; set; }      

        public string IdTag { get; set; }    

        /// <summary>
        /// 開始充電開始時間
        /// </summary>
        public string StartTime { get; set; }

        /// <summary>
        /// 充電結束時間
        /// </summary>
        public string StopTime { get; set; }      
      

        /// <summary>
        /// 開始meter
        /// </summary>      
        public decimal MeterStart { get; set; }

        /// <summary>
        /// 結束meter
        /// </summary>
        public decimal MeterStop { get; set; }

        /// <summary>
        /// 停止原因
        /// </summary>
        public Reason StopReason { set; get; }
    }
}